import java.awt.*;
import java.awt.event.*;
import java.io.*;
import javax.swing.*;
import com.webrenderer.*;
import com.webrenderer.event.*;

public class TestBrowser {
	
	IBrowserCanvas browser;
	JTextField textfield;

	public TestBrowser() {
		JFrame frame = new JFrame();
		frame.setTitle("WebRenderer WRUI JavaScript example");
		frame.setContentPane(content());
		frame.setSize(600, 400);
		frame.setVisible(true);
	}
	public JPanel content() {
		JPanel panel = new JPanel(new BorderLayout());
		
		textfield = new JTextField();		

		textfield.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e){
				browser.loadURL(textfield.getText());
			}
		});
		
		//Must be called to stop License dialog
		BrowserFactory.setLicenseData("30dtrial", "QD93G36AK30193AO47KLQP13");		

		//Core function to create browser
		browser = BrowserFactory.spawnInternetExplorer();

		browser.addBrowserListener(new BrowserAdapter(){
			public void onBeforeNavigate(BrowserEvent e){
				//Catching the WRUI communication
				if(e.getURL().equals("wrui://runConsoleOutput/")){
					runConsoleOutput();
				}
			}
		});

		File localFile = new File("index.html");
		browser.loadURL(localFile.getAbsolutePath());

		panel.add(BorderLayout.NORTH, textfield);
		panel.add(BorderLayout.CENTER, (Canvas)browser);
	
		return panel;
	}
	public void runConsoleOutput(){
		System.out.println("runConsoleOutput Java method called from JavaScript");
	}
	public static void main(String[] args) {
		new TestBrowser();
	}
}
